Bug 69095 - [MAINTAINER UPDATE] New versions of net/spread & net/spread-j
Summary: [MAINTAINER UPDATE] New versions of net/spread & net/spread-j
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-15 13:10 UTC by Joshua Goodall
Modified: 2004-07-22 13:17 UTC (History)
0 users

See Also:


Attachments
file.diff (7.97 KB, patch)
2004-07-15 13:10 UTC, Joshua Goodall
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Goodall 2004-07-15 13:10:25 UTC
Attached is a maintainer update for two ports, net/spread and net/spread-j,
due to the upstream release of version 3.17.2.
Comment 1 Hervé Quiroz 2004-07-15 16:43:44 UTC
Joshua,


You may use ${JAVAJARDIR} rather than defining your own variable for
such a purpose. BTW, Greg Lewis recently added support for it in
PLIST_SUB [1] so this could even reduce the size of the Makefile.

Also, USE_JAVA=1.2+ is a deprecated practice. With bsd.java.mk 2.0, the
correct syntax is:

USE_JAVA=		yes
JAVA_VERSION=	1.2+

Altough backward compatibility is provided ATM, I would suggest that you
take advantage of this PR to update your port to bsd.java.mk 2.0 as we
plan to remove 1.0 support in the near future.

The new features of bsd.java.mk 2.0 are quite documented in [2] (this is
quite a recent addition) but in case you have any further questions,
feel free to email me. I will be pleased to help you as I am trying to
get more maintainers switch to bsd.java.mk 2.0...

Herve


[1] bsd.java.mk CVS log - Revision 1.47
http://www.freebsd.org/cgi/cvsweb.cgi/ports/Mk/bsd.java.mk?rev=1.47&content-type=text/x-cvsweb-markup

[2] Porter's handbook - Using Java
http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/using-java.html
Comment 2 Joshua Goodall 2004-07-15 22:53:48 UTC
On Thu, Jul 15, 2004 at 05:43:44PM +0200, Herve Quiroz wrote:
> Altough backward compatibility is provided ATM, I would suggest that you
> take advantage of this PR to update your port to bsd.java.mk 2.0 as we
> plan to remove 1.0 support in the near future.

Updated diff below. (also switching to PKGNAMESUFFIX for Java lib).

Regards,

Joshua.


Index: net/spread/Makefile
===================================================================
RCS file: /usr/cvsup/freebsd/ports/net/spread/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- net/spread/Makefile	29 Dec 2003 06:21:19 -0000	1.13
+++ net/spread/Makefile	15 Jul 2004 21:42:15 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	spread
-PORTVERSION=	3.17.1
+PORTVERSION=	3.17.2
 CATEGORIES=	net perl5
 MASTER_SITES=	http://www.cnds.jhu.edu/download/noformdown/
 DISTNAME=	${PORTNAME}-src-${PORTVERSION}
@@ -14,6 +14,7 @@
 MAINTAINER=	joshua@roughtrade.net
 COMMENT=	The Spread Group Communication System, a network toolkit
 
+WRKSRC= 	${WRKDIR}/${PORTNAME}_src-${PORTVERSION}
 USE_REINPLACE=	yes
 GNU_CONFIGURE=	yes
 
Index: net/spread/distinfo
===================================================================
RCS file: /usr/cvsup/freebsd/ports/net/spread/distinfo,v
retrieving revision 1.6
diff -u -r1.6 distinfo
--- net/spread/distinfo	31 Mar 2004 03:10:16 -0000	1.6
+++ net/spread/distinfo	15 Jul 2004 11:33:18 -0000
@@ -1,2 +1,2 @@
-MD5 (spread-src-3.17.1.tar.gz) = b423da7012f0237a877b604ebd80cfc4
-SIZE (spread-src-3.17.1.tar.gz) = 290861
+MD5 (spread-src-3.17.2.tar.gz) = 5ed0fae793978353a4ed5f195989b9d1
+SIZE (spread-src-3.17.2.tar.gz) = 289180
Index: net/spread/files/patch-Makefile.in
===================================================================
RCS file: /usr/cvsup/freebsd/ports/net/spread/files/patch-Makefile.in,v
retrieving revision 1.2
diff -u -r1.2 patch-Makefile.in
--- net/spread/files/patch-Makefile.in	29 Dec 2003 06:21:20 -0000	1.2
+++ net/spread/files/patch-Makefile.in	15 Jul 2004 11:42:41 -0000
@@ -1,5 +1,5 @@
---- Makefile.in	Wed Jun 18 05:00:10 2003
-+++ Makefile.in	Tue Aug  5 21:26:23 2003
+--- Makefile.in	Thu Nov 13 08:42:54 2003
++++ Makefile.in	Thu Jul 15 21:42:27 2004
 @@ -26,7 +26,7 @@
  #Rules: major  -- inc for incompatible change
  #     : minor  -- inc for bugfix or forward compatible change
@@ -91,7 +91,7 @@
  	rm -f config.cache config.log docs/*.out core
  	rm -rf autom4te.cache
  
-@@ -247,11 +255,6 @@
+@@ -248,11 +256,6 @@
  	done
  	if [ ! -d $(DESTDIR)$(sysconfdir) ]; then \
  		$(buildtoolsdir)/mkinstalldirs $(DESTDIR)$(sysconfdir); \
Index: net/spread/files/patch-auth-ip.c
===================================================================
RCS file: /usr/cvsup/freebsd/ports/net/spread/files/patch-auth-ip.c,v
retrieving revision 1.2
diff -u -r1.2 patch-auth-ip.c
--- net/spread/files/patch-auth-ip.c	29 Dec 2003 06:21:20 -0000	1.2
+++ net/spread/files/patch-auth-ip.c	15 Jul 2004 11:38:58 -0000
@@ -1,17 +1,17 @@
---- auth-ip.c	Sun Sep 22 12:56:52 2002
-+++ auth-ip.c	Tue Aug  5 21:27:40 2003
+--- auth-ip.c	Fri Mar  5 11:32:46 2004
++++ auth-ip.c	Thu Jul 15 21:38:09 2004
 @@ -90,12 +90,9 @@
      /* load spread.access_ip file */
      if (NULL != (fp = fopen(file_name,"r")) )
-         Alarm( PRINT, "ip_init: using file: %s\n", file_name);
+         Alarmp( SPLOG_INFO, ACM, "ip_init: using file: %s\n", file_name);
 -    if (fp == NULL) 
 -        if (NULL != (fp = fopen("./spread.access_ip", "r")) )
--            Alarm( PRINT, "ip_init: using file: ./spread.access_ip\n");
+-            Alarmp( SPLOG_INFO, ACM, "ip_init: using file: ./spread.access_ip\n");
      if (fp == NULL)
 -        if (NULL != (fp = fopen("/etc/spread.access_ip", "r")) )
--            Alarm( PRINT, "ip_init: using file: /etc/spread.access_ip\n");
+-            Alarmp( SPLOG_INFO, ACM, "ip_init: using file: /etc/spread.access_ip\n");
 +        if (NULL != (fp = fopen(SPREAD_ETCDIR "/spread.access_ip", "r")) )
-+            Alarm( PRINT, "ip_init: using file: " SPREAD_ETCDIR "/spread.access_ip\n");
++            Alarmp( SPLOG_INFO, ACM, "ip_init: using file: " SPREAD_ETCDIR "/spread.access_ip\n");
      if (fp == NULL)
      {
-         Alarm( PRINT, "ip_init: IP access control file not found.\nIf you are using IP based access controls, please make sure the file exists.\n");
+         Alarmp( SPLOG_ERROR, ACM, "ip_init: IP access control file not found.\nIf you are using IP based access controls, please make sure the file exists.\n");
Index: net/spread/files/patch-auth-pword.c
===================================================================
RCS file: /usr/cvsup/freebsd/ports/net/spread/files/patch-auth-pword.c,v
retrieving revision 1.2
diff -u -r1.2 patch-auth-pword.c
--- net/spread/files/patch-auth-pword.c	29 Dec 2003 06:21:20 -0000	1.2
+++ net/spread/files/patch-auth-pword.c	15 Jul 2004 11:40:34 -0000
@@ -1,17 +1,17 @@
---- auth-pword.c	Sun Sep 22 12:56:52 2002
-+++ auth-pword.c	Tue Aug  5 21:28:50 2003
+--- auth-pword.c	Fri Mar  5 11:32:46 2004
++++ auth-pword.c	Thu Jul 15 21:40:16 2004
 @@ -118,12 +118,9 @@
      /* load spread.access_ip file */
      if (NULL != (fp = fopen(file_name,"r")) )
-         Alarm( PRINT, "pword_init: using file: %s\n", file_name);
+         Alarmp( SPLOG_INFO, ACM, "pword_init: using file: %s\n", file_name);
 -    if (fp == NULL) 
 -        if (NULL != (fp = fopen("./spread.access_pword", "r")) )
--            Alarm( PRINT, "pword_init: using file: ./spread.access_pword\n");
+-            Alarmp( SPLOG_INFO,ACM, "pword_init: using file: ./spread.access_pword\n");
      if (fp == NULL)
 -        if (NULL != (fp = fopen("/etc/spread.access_pword", "r")) )
--            Alarm( PRINT, "pword_init: using file: /etc/spread.access_pword\n");
+-            Alarmp( SPLOG_INFO, ACM, "pword_init: using file: /etc/spread.access_pword\n");
 +        if (NULL != (fp = fopen(SPREAD_ETCDIR "/spread.access_pword", "r")) )
-+            Alarm( PRINT, "pword_init: using file: " SPREAD_ETCDIR "/spread.access_pword\n");
++            Alarmp( SPLOG_INFO, ACM, "pword_init: using file: " SPREAD_ETCDIR "/spread.access_pword\n");
      if (fp == NULL)
-         Alarm( EXIT, "pword_init: error opening config file %s in any of the standard locations. Please make sure the file exists\n", file_name);
+         Alarmp( SPLOG_FATAL, ACM, "pword_init: error opening config file %s in any of the standard locations. Please make sure the file exists\n", file_name);
  
Index: net/spread-j/Makefile
===================================================================
RCS file: /usr/cvsup/freebsd/ports/net/spread-j/Makefile,v
retrieving revision 1.5
diff -u -r1.5 Makefile
--- net/spread-j/Makefile	13 May 2004 22:54:07 -0000	1.5
+++ net/spread-j/Makefile	15 Jul 2004 21:48:42 -0000
@@ -5,34 +5,33 @@
 # $FreeBSD: ports/net/spread-j/Makefile,v 1.5 2004/05/13 22:54:07 glewis Exp $
 #
 
-PORTNAME=	spread-j
-PORTVERSION=	3.17.1
+PORTNAME=	spread
+PORTVERSION=	3.17.2
 CATEGORIES=	net java
 MASTER_SITES=	http://www.cnds.jhu.edu/download/noformdown/
-DISTNAME=	spread-src-${PORTVERSION}
+PKGNAMESUFFIX=	-j
+DISTNAME=	${PORTNAME}-src-${PORTVERSION}
 
 MAINTAINER=	joshua@roughtrade.net
 COMMENT=	Java client library for the Spread Group Communication System
 
 BUILD_DEPENDS=	${ANT}:${PORTSDIR}/devel/apache-ant
 
-USE_JAVA=	1.2+
-JAVALIBDIR=	${PREFIX}/share/java/classes
+USE_JAVA=	YES
+JAVA_VERSION=	1.2+
 PKGMESSAGE=	${WRKSRC}/../license.txt
 
 ANT?=		${LOCALBASE}/bin/ant
 .if defined(NOPORTDOCS)
-PLIST_SUB+=	JAVALIB_DOCS='@comment '
 ANT_TARGET=	jar
 .else
-PLIST_SUB+=	JAVALIB_DOCS=''
 ANT_TARGET=	javadocs jar
-PORTDOCS+=	html readme.txt
+PORTDOCS+=	java
 .endif
-ANT_PARAMS+=	-Dlib.dir=${JAVALIBDIR} -Djavadoc.destdir=docs -Dversion=${PORTVERSION}
+ANT_PARAMS+=	-Dlib.dir=${JAVAJARDIR} -Djavadoc.destdir=docs -Dversion=${PORTVERSION}
 
-WRKSRC=		${WRKDIR}/${DISTNAME}/java
-PLIST_SUB+=	JAVALIBDIR=share/java/classes
+WRKSRC= 	${WRKDIR}/${PORTNAME}_src-${PORTVERSION}/java
+PLIST_FILES+=	${JAVAJARDIR:S,^${PREFIX}/,,}/${PORTNAME}-${PORTVERSION}.jar
 
 do-build:
 	@cd ${WRKSRC} && \
@@ -41,19 +40,19 @@
 do-install:
 	@cd ${WRKSRC} && ${ANT} install ${ANT_PARAMS}
 .if !defined(NOPORTDOCS)
-	${INSTALL} -d -o root -g wheel -m 0755 ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/recThread.java ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/Flooder.java ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/User.java ${EXAMPLESDIR}
-	${INSTALL} -d -o root -g wheel -m 0755 ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/readme.txt ${DOCSDIR}
-	${INSTALL} -d -o root -g wheel -m 0755 ${DOCSDIR}/html
-	${INSTALL} -d -o root -g wheel -m 0755 ${DOCSDIR}/html/spread
-	${INSTALL} -d -o root -g wheel -m 0755 ${DOCSDIR}/html/spread/class-use
-	${INSTALL_DATA} ${WRKSRC}/docs/*.html ${DOCSDIR}/html
-	${INSTALL_DATA} ${WRKSRC}/docs/stylesheet.css ${DOCSDIR}/html
-	${INSTALL_DATA} ${WRKSRC}/docs/spread/*.html ${DOCSDIR}/html/spread
-	${INSTALL_DATA} ${WRKSRC}/docs/spread/class-use/*.html ${DOCSDIR}/html/spread/class-use
+	${INSTALL} -d -o root -g wheel -m 0755 ${EXAMPLESDIR}/java
+	${INSTALL_DATA} ${WRKSRC}/recThread.java ${EXAMPLESDIR}/java
+	${INSTALL_DATA} ${WRKSRC}/Flooder.java ${EXAMPLESDIR}/java
+	${INSTALL_DATA} ${WRKSRC}/User.java ${EXAMPLESDIR}/java
+	${INSTALL} -d -o root -g wheel -m 0755 ${DOCSDIR}/java
+	${INSTALL_DATA} ${WRKSRC}/readme.txt ${DOCSDIR}/java
+	${INSTALL} -d -o root -g wheel -m 0755 ${DOCSDIR}/java/html
+	${INSTALL} -d -o root -g wheel -m 0755 ${DOCSDIR}/java/html/spread
+	${INSTALL} -d -o root -g wheel -m 0755 ${DOCSDIR}/java/html/spread/class-use
+	${INSTALL_DATA} ${WRKSRC}/docs/*.html ${DOCSDIR}/java/html
+	${INSTALL_DATA} ${WRKSRC}/docs/stylesheet.css ${DOCSDIR}/java/html
+	${INSTALL_DATA} ${WRKSRC}/docs/spread/*.html ${DOCSDIR}/java/html/spread
+	${INSTALL_DATA} ${WRKSRC}/docs/spread/class-use/*.html ${DOCSDIR}/java/html/spread/class-use
 .endif
 	@${CAT} ${PKGMESSAGE}
 
Index: net/spread-j/distinfo
===================================================================
RCS file: /usr/cvsup/freebsd/ports/net/spread-j/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- net/spread-j/distinfo	31 Mar 2004 03:10:16 -0000	1.3
+++ net/spread-j/distinfo	15 Jul 2004 21:39:31 -0000
@@ -1,2 +1,2 @@
-MD5 (spread-src-3.17.1.tar.gz) = b423da7012f0237a877b604ebd80cfc4
-SIZE (spread-src-3.17.1.tar.gz) = 290861
+MD5 (spread-src-3.17.2.tar.gz) = 5ed0fae793978353a4ed5f195989b9d1
+SIZE (spread-src-3.17.2.tar.gz) = 289180
Index: net/spread-j/pkg-plist
===================================================================
RCS file: /usr/cvsup/freebsd/ports/net/spread-j/pkg-plist,v
retrieving revision 1.2
diff -u -r1.2 pkg-plist
--- net/spread-j/pkg-plist	29 Dec 2003 06:21:22 -0000	1.2
+++ net/spread-j/pkg-plist	15 Jul 2004 21:39:32 -0000
@@ -1,5 +1,5 @@
-%%JAVALIBDIR%%/spread-3.17.1.jar
-%%PORTDOCS%%%%EXAMPLESDIR%%/Flooder.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/recThread.java
-%%PORTDOCS%%%%EXAMPLESDIR%%/User.java
-%%PORTDOCS%%@dirrm share/examples/spread-j
+%%PORTDOCS%%%%EXAMPLESDIR%%/java/Flooder.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/java/recThread.java
+%%PORTDOCS%%%%EXAMPLESDIR%%/java/User.java
+%%PORTDOCS%%@dirrm share/examples/spread/java
+%%PORTDOCS%%@dirrm share/examples/spread
Comment 3 Hervé Quiroz 2004-07-16 17:54:06 UTC
On Fri, Jul 16, 2004 at 07:53:48AM +1000, Joshua Goodall wrote:
> On Thu, Jul 15, 2004 at 05:43:44PM +0200, Herve Quiroz wrote:
> > Altough backward compatibility is provided ATM, I would suggest that you
> > take advantage of this PR to update your port to bsd.java.mk 2.0 as we
> > plan to remove 1.0 support in the near future.
> 
> Updated diff below. (also switching to PKGNAMESUFFIX for Java lib).
> 

The patch looks fine to me. Good job (and quick)!

Regards,

Herve
Comment 4 Oliver Eikemeier freebsd_committer 2004-07-22 13:15:52 UTC
State Changed
From-To: open->closed

Committed with small modifications, thanks! 
Also thanks to Herve Quiroz <herve.quiroz@esil.univ-mrs.fr> for the review.